- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ce_ospf – Manages configuration of an OSPF instance on HUAWEI CloudEngine switches

New in version 2.4.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manages configuration of an OSPF instance on HUAWEI CloudEngine switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
addr - |  | Specifies the address of the network segment where the interface resides. The value is in dotted decimal notation.
area - |  | Specifies the area ID. The area with the area-id being 0 is a backbone area. Valid values are a string, formatted as an IP address (i.e. "0.0.0.0") or as an integer between 1 and 4294967295.
auth_key_id - |  | Authentication key id when `auth_mode` is 'hmac-sha256', 'md5' or 'hmac-md5. Valid value is an integer is in the range from 1 to 255.
auth_mode - | Choices: none hmac-sha256 md5 hmac-md5 simple | Specifies the authentication type.
auth_text_md5 - |  | Specifies a password for MD5, HMAC-MD5, or HMAC-SHA256 authentication. The value is a string of 1 to 255 case-sensitive characters, spaces not supported.
auth_text_simple - |  | Specifies a password for simple authentication. The value is a string of 1 to 8 characters.
mask - |  | IP network wildcard bits in decimal format between 0 and 32.
max_load_balance - |  | The maximum number of paths for forward packets over multiple paths. Valid value is an integer in the range from 1 to 64.
nexthop_addr - |  | IPv4 address for configure next-hop address's weight. Valid values are a string, formatted as an IP address.
nexthop_weight - |  | Indicates the weight of the next hop. The smaller the value is, the higher the preference of the route is. It is an integer that ranges from 1 to 254.
process_id - / required |  | Specifies a process ID. The value is an integer ranging from 1 to 4294967295.
state - | Choices: present ← absent | Determines whether the config should be present or not on the device.

## Notes

Note

- This module requires the netconf system service be enabled on the remote device being managed.

- Recommended connection is `netconf`.

- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: ospf module test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:

      - name: Configure ospf
        ce_ospf:
          process_id: 1
          area: 100
          state: present
          provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device Sample: True
end_state dictionary | verbose mode | k/v pairs of configuration after module execution Sample: {'process_id': '1', 'areas': [{'areaId': '0.0.0.100', 'areaType': 'Normal'}], 'nexthops': [], 'max_load_balance': '32'}
existing dictionary | verbose mode | k/v pairs of existing configuration Sample: {'process_id': '1', 'areas': [], 'nexthops': [], 'max_load_balance': '32'}
proposed dictionary | verbose mode | k/v pairs of parameters passed into module Sample: {'process_id': '1', 'area': '100'}
updates list | always | commands sent to the device Sample: ['ospf 1', 'area 0.0.0.100']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- QijunPan (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.